Strange behaviour of Measurement settings dropdowns inside project CRS properties

2017-10-17 12:30 PM - Giovanni Allegri

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 10 and Ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25194

Description

When the project settings dialog is opened the Measurements settings dropdowns inside project CRS properties result disabled.

Switching between tabs reenable them.

Related issues:

Duplicates QGIS Application - Bug report # 17208: some items on Project Prope... Closed 2017-09-27

History

#1 - 2017-10-17 12:41 PM - Giovanni Allegri

- Priority changed from Normal to High

I'm facing a different strange behoviour now.

    1. I switch between tabs to enable the dropdown.

    2. I select WGS84

    3. Close, reopen the dialog and the select is disable with "Planimetric selected" 

    4. I switch the tabs and Clarke 1866 is selected (!!!)

At the moment the ellipsoid selection for measurements is totally unusable in master, at least on Windows 10.

#2 - 2017-10-17 12:41 PM - Giovanni Allegri

- Subject changed from Measurement settings dropdowns inside project CRS properties disabled on window load to Strnage behaviours od 

Measurement settings dropdowns inside project CRS properties

#3 - 2017-10-17 09:19 PM - Richard Duivenvoorde

Giovanni, can you provide some test data + correct known outcomes please?

That makes it easier to confirm this issue, or to test between versions and OS's

#4 - 2017-10-17 10:06 PM - Steven Mizuno

This is what I am seeing: in Project properties, on the General tab the Measurements group controls as well as 'Display coordinates using' drop-down are

disabled until you switch to the CRS tab, then back to General. This occurs every time the Project properties dialog is opened and the current tab is not

CRS. I find this behavior annoying, but not a major issue.

I haven't seen the problem of Clarke 1866 being the Ellipsoid after selecting WGS 84 on the CRS tab.
I am using Windows 8.1 and 10 computers.

#5 - 2017-10-18 11:41 AM - Giovanni Allegri

I'm not sure what's the expected behaviour of the dropdown. If I have a CRS set for my project I guess the corresponding ellipsoid should be selected,

leaving the user to choose (for whatever reason) another ellipsoid, or None/planimetric. 

is it right?

#6 - 2017-10-18 11:42 AM - Giovanni Allegri

- Subject changed from Strnage behaviours od Measurement settings dropdowns inside project CRS properties to Strange behaviour of Measurement 

settings dropdowns inside project CRS properties

#7 - 2017-10-18 12:44 PM - Giovanni Allegri

Here it is a video of what happens to me: https://youtu.be/cGDdvgNH1Co

    1. Switch tabs to make dropbox selecteable

    2. Select an elliposid (WGS84)

    3. Weird measure tools results (they should be 200.000 at most)

    4. Dropbox selection not ratained (Clarke ellipsoid instead of WGS84)

#8 - 2017-10-18 09:35 PM - Steven Mizuno

Giovanni, I watched your video and tried to duplicate what you did, but was working for me. On closer observation of the video I noticed that you selected

'WGS84' rather than 'WGS 84' -- notice the space in the name. I tried WGS84 and can confirm that the measurements taken are significantly wrong

(3,000,000m vs. the 800m or that I should have gotten) and that ellipsoid Clarke 1866 is shown in project properties.

This reminded me of ticket #13957 which I will reopen.

If you display the Information in the Measure dialog the ellipsoid is shown as IGNF:ELG053 - this is one of the problems in the above ticket.

As to the project properties controls being disabled I believe that the projections module is not being initialized until the CRS tab is displayed.

#9 - 2017-10-19 10:49 AM - Giovanni Allegri

Good catch Steven! The problem was selecting "WGS84" instead of "WGS 84". The latter works fine and selection is retained, so I suppose there's some

problem with srs.db and acronyms with colon:

acronym      |   name

-------------------------

WGS84        | WGS 84

IGNF:ELG053  | WGS84

I will follow your #13957 ticket

#10 - 2017-10-19 04:05 PM - Giovanni Allegri

- Operating System changed from Windows 10 to Windows 10 and Ubuntu 16.04

#11 - 2017-10-20 07:15 PM - Steven Mizuno
see also #13956 and #17208.

This ticket essentially is a duplicate of the problems previously reported.

#12 - 2018-02-02 11:31 AM - Alexander Bruy

- Duplicates Bug report #17208: some items on Project Properties|General aren't available to change until the CRS tab is activated added

#13 - 2018-02-02 11:31 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicates #17208
